.luxury-packages {
    position: relative;
    margin-bottom: 142px;

    &:before {
        position: absolute;
        top: -100px;
        left: 0;
        width: 100%;
        height: 624px;
        background: linear-gradient(180deg, #E2D3CE 0%, #C9C8D8 30.73%, #D4D8C6 59.37%, #E2D3CE 100%);
        pointer-events: none;
        content: "";
        z-index: -1;

        @include lg {
            top: -240px;
            height: 1850px;
        }
    }

    .site__centered {
        position: relative;
    }

    &__layout {
        overflow: hidden;
    }

    &__head {
        display: flex;
        align-items: flex-end;
        justify-content: space-between;
        position: relative;
        margin-bottom: 22px;
        z-index: 2;

        .btn {
            margin-bottom: 6px;
            padding: 10px 35px 8px;
        }

        @include lg {
            flex-direction: column;
            align-items: flex-start;
            position: absolute;
            top: 119px;
            left: 16px;
        }
    }

    &__title {
        color: #0C0B10;
        font-size: 40px;
        line-height: 44px;
        white-space: pre-line;

        @include lg {
            margin-bottom: 30px;
            font-size: 60px;
            line-height: 58px;
        }
    }

    &__list {
        margin-bottom: 18px;

        .slider__arrow {

            @include tablet {
                top: 57%;
            }

            @include lg {
                display: none;
            }
        }

        .slider__arrow-left {
            left: 4px;
        }

        .slider__arrow-right {
            right: 4px;
        }

        @include lg {

            .swiper-wrapper {
                flex-wrap: wrap;
                justify-content: space-between;

                &:before {
                    content: "";
                    width: calc(33.333% - 16px);
                    max-width: 350px;
                    pointer-events: none;
                }
            }
        }
    }

    &__item {
        display: block;
        position: relative;
        width: 320px;
        height: 520px;
        border-radius: 10px;
        text-align: center;
        overflow: hidden;

        &:before {
            content: "";
            position: absolute;
            top: 0;
            right: 0;
            left: 0;
            height: 180px;
            background: linear-gradient(180deg, rgba(0, 0, 0, 0) 0%, #0B2034 100%);
            transform: rotate(180deg);
            z-index: 1;
        }

        &:hover {

            img {
                transform: scale(1.1);
            }
        }

        img {
            display: block;
            width: 100%;
            height: 100%;
            object-fit: cover;
            object-position: center;
            transition: transform .5s ease;
            will-change: transform;
        }

        @include lg {
            width: calc(33.333% - 16px);
            max-width: 350px;
            height: 570px;

            &:nth-child(1) {margin-top: 120px}
            &:nth-child(3) {margin-top: -120px}
            &:nth-child(4) {margin-top: 31px}
            &:nth-child(5) {margin-top: -97px}
        }
    }

    &__item-topic {
        position: absolute;
        top: 58px;
        right: 35px;
        left: 35px;
        color: #fff;
        font-size: 36px;
        line-height: 98.5%;
        white-space: pre-line;
        z-index: 2;

        @include lg {
            top: 67px;
        }
    }

    &__item-count {
        position: relative;
        margin-top: 22px;
        z-index: 1;
        font-size: 21px;
        line-height: 98.5%;

        img, svg {
            display: block;
            width: 12px;
            margin: 9px auto 0;
        }

        span {
            display: block;
            margin-bottom: 5px;
            font-size: 35px;
        }

        @include lg {
            margin-top: 8px;
        }
    }

    &__item-btn {
        display: flex;
        align-items: center;
        justify-content: center;
        position: absolute;
        bottom: 37px;
        left: 50%;
        width: 135px;
        height: 257px;
        color: #fff;
        transform: translateX(-50%);
    }

    &__btn-visual {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        transform: scaleX(1.1);
        pointer-events: none;

        &:before, &:after {
            content: "";
            position: absolute;
        }

        &:before {
            bottom: 24%;
            left: 0;
            width: 132px;
            height: 132px;
            border: 1px solid #79655E;
            transform: rotate(45deg) skew(20deg, 20deg);
        }

        &:after {
            bottom: calc(28% + 2px);
            left: 12px;
            width: 110px;
            height: 110px;
            transform: rotate(45deg) skew(20deg, 20deg);
            backdrop-filter: blur(20px);
        }
    }

    @include lg {
        margin-bottom: 96px;
    }
}
